View Issue Details

IDProjectCategoryView StatusLast Update
0000665SymmetricDSBugpublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0.4 
Target Version3.0.5Fixed in Version3.0.5 
Summary0000665: Don't commit a batch that doesn't have commit in the csv protocol
DescriptionThis could result in batches that are OK'd that have only been partially sent.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 38504577

2012-06-26 11:00:24

chenson

Details Diff
0000665: Don't commit a batch that doesn't have commit in the csv protocol
0000665
mod - symmetric/symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/Batch.java Diff File
mod - symmetric/symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/CsvUtils.java Diff File
mod - symmetric/symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DataProcessor.java Diff File
add - symmetric/symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/ProtocolException.java Diff File
mod - symmetric/symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/ExtractDataReader.java Diff File
mod - symmetric/symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/ProtocolDataReader.java Diff File

Issue History

Date Modified Username Field Change
2012-06-26 10:59 chenson New Issue
2012-06-26 10:59 chenson Status new => assigned
2012-06-26 10:59 chenson Assigned To => chenson
2012-06-26 11:01 chenson Status assigned => resolved
2012-06-26 11:01 chenson Fixed in Version => 3.0.5
2012-06-26 11:01 chenson Resolution open => fixed
2012-06-26 12:50 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r5921
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 38504577